package com.fs.aiob.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fs.aiob.domain.AiobBaiduCallApi;
import com.fs.aiob.mapper.AiobBaiduCallApiMapper;
import com.fs.aiob.service.IAiobBaiduCallApiService;
import com.fs.common.utils.DateUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 百度外呼接口配置Service业务层处理
 * 
 * @author fs
 * @date 2025-03-20
 */
@Service
public class AiobBaiduCallApiServiceImpl extends ServiceImpl<AiobBaiduCallApiMapper, AiobBaiduCallApi> implements IAiobBaiduCallApiService {

    /**
     * 查询百度外呼接口配置
     * 
     * @param id 百度外呼接口配置主键
     * @return 百度外呼接口配置
     */
    @Override
    public AiobBaiduCallApi selectAiobBaiduCallApiById(Long id)
    {
        return baseMapper.selectAiobBaiduCallApiById(id);
    }

    /**
     * 查询百度外呼接口配置列表
     * 
     * @param aiobBaiduCallApi 百度外呼接口配置
     * @return 百度外呼接口配置
     */
    @Override
    public List<AiobBaiduCallApi> selectAiobBaiduCallApiList(AiobBaiduCallApi aiobBaiduCallApi)
    {
        return baseMapper.selectAiobBaiduCallApiList(aiobBaiduCallApi);
    }

    /**
     * 新增百度外呼接口配置
     * 
     * @param aiobBaiduCallApi 百度外呼接口配置
     * @return 结果
     */
    @Override
    public int insertAiobBaiduCallApi(AiobBaiduCallApi aiobBaiduCallApi)
    {
        aiobBaiduCallApi.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertAiobBaiduCallApi(aiobBaiduCallApi);
    }

    /**
     * 修改百度外呼接口配置
     * 
     * @param aiobBaiduCallApi 百度外呼接口配置
     * @return 结果
     */
    @Override
    public int updateAiobBaiduCallApi(AiobBaiduCallApi aiobBaiduCallApi)
    {
        aiobBaiduCallApi.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateAiobBaiduCallApi(aiobBaiduCallApi);
    }

    /**
     * 批量删除百度外呼接口配置
     * 
     * @param ids 需要删除的百度外呼接口配置主键
     * @return 结果
     */
    @Override
    public int deleteAiobBaiduCallApiByIds(Long[] ids)
    {
        return baseMapper.deleteAiobBaiduCallApiByIds(ids);
    }

    /**
     * 删除百度外呼接口配置信息
     * 
     * @param id 百度外呼接口配置主键
     * @return 结果
     */
    @Override
    public int deleteAiobBaiduCallApiById(Long id)
    {
        return baseMapper.deleteAiobBaiduCallApiById(id);
    }
}
